JBoss API: Class ObjectHandler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.server
Class ObjectHandler

    java.lang.Object
      |
      +--org.jboss.jmx.server.ObjectHandler

All Implemented Interfaces:
  java.io.Serializable

public class ObjectHandler
extends java.lang.Object
implements java.io.Serializable

Object returned to the client to use it as an handler to an object created and stored on the server side. The server side implementation has to look for instances of these class and then to replace them by the objec thez refer to.

Author:
  Andreas "Mad" Schaefer
See Also:
  Serialized Form

Constructor Summary
`ObjectHandler(java.lang.String pServerReference)` Creates an Object Handler

Method Summary
`boolean` | `equals(java.lang.Object pTest)` Checks if two Object Handler are equal even when the went over the net
`int` | `getObjectReference()`
`java.lang.String` | `getServerReference()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectHandler

    public ObjectHandler(java.lang.String pServerReference)

  Creates an Object Handler
  Parameters:
    `pServerReference` - Server Reference which should be unique within the network

Method Detail

### getServerReference

    public java.lang.String getServerReference()

  Returns:
    Server Reference

### getObjectReference

    public int getObjectReference()

  Returns:
    Unique object reference

### equals

    public boolean equals(java.lang.Object pTest)

  Checks if two Object Handler are equal even when the went over the net
  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    True the given object is instance of Object Handler and have the same Server and Object Reference

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    Hash code for this Object Handler which is just the sum of Server and Object reference

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.